import { Component } from '@angular/core';

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss'],
  standalone: false,
})
export class Tab2Page {

  healthNews = [
    {
      tag: '饮食',
      tagColor: '#4CAF50',
      title: '糖尿病患者的饮食指南',
      summary: '科学规划每日膳食结构，掌握健康饮食诀窍...',
      image: 'assets/food.jpg',
      source: '健康时报',
      time: '2小时前',
      liked: false
    },
    // 更多示例数据...
  ];

  communityTopics = [
    {
      tag: '血糖管理',
      title: '如何稳定控制空腹血糖？',
      user: {
        avatar: 'assets/user1.jpg',
        name: '张先生',
        condition: 'II型糖尿病'
      },
      content: '最近空腹血糖总是偏高，大家有什么好的建议吗？',
      participants: 45,
      answers: 28
    },
    // 更多示例数据...
  ];

  healthTools = [
    {
      icon: 'calculator-outline',
      name: '血糖计算器',
      description: '智能计算每日血糖变化趋势'
    },
    {
      icon: 'restaurant-outline',
      name: '饮食记录',
      description: '记录分析每日膳食营养'
    },
    // 更多示例数据...
  ];

  constructor() {}

  toggleLike(item: any) {
    item.liked = !item.liked;
  }
}
